Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core.statistic
Class AbstractProblemStatistic.ProblemStatisticCsv

    java.lang.Object
      org.drools.planner.benchmark.core.statistic.AbstractProblemStatistic.ProblemStatisticCsv

Enclosing class:
  AbstractProblemStatistic

    public class AbstractProblemStatistic.ProblemStatisticCsv

extends Object

Constructor Summary
`AbstractProblemStatistic.ProblemStatisticCsv()`

Method Summary
`void` | `addPoint(SingleBenchmark singleBenchmark, long timeMillisSpend, double value)`
`void` | `addPoint(SingleBenchmark singleBenchmark, long timeMillisSpend, long value)`
`void` | `addPoint(SingleBenchmark singleBenchmark, long timeMillisSpend, String value)`
`protected AbstractProblemStatistic.ProblemStatisticCsvLine` | `findOrCreateLine(long timeMillisSpend)`
`void` | `writeCsvStatisticFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProblemStatistic.ProblemStatisticCsv

    public AbstractProblemStatistic.ProblemStatisticCsv()

Method Detail

### addPoint

    public void addPoint(SingleBenchmark singleBenchmark,
                         long timeMillisSpend,
                         long value)

### addPoint

    public void addPoint(SingleBenchmark singleBenchmark,
                         long timeMillisSpend,
                         double value)

### addPoint

    public void addPoint(SingleBenchmark singleBenchmark,
                         long timeMillisSpend,
                         String value)

### findOrCreateLine

    protected AbstractProblemStatistic.ProblemStatisticCsvLine findOrCreateLine(long timeMillisSpend)

### writeCsvStatisticFile

    public void writeCsvStatisticFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.